libzypp 17.37.10

Package.cc File Reference
`#include <iostream>`
`#include <fstream>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/StringV.h>`
`#include <zypp/Package.h>`
`#include <zypp/sat/LookupAttr.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/target/rpm/RpmDb.h>`
`#include <zypp/target/rpm/RpmHeader.h>`
`#include <zypp/ui/Selectable.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppintern
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Typedefs
using | zyppintern::GetVendorSupportOptionReturn = std::pair<VendorSupportOption,std::optional<std::set<std::string_view>>>
| getVendorSupportOption return value

## Functions
GetVendorSupportOptionReturn | zyppintern::getVendorSupportOption (sat::Solvable solv_r)
| Get VendorSupportOption and the PKGNAME if VendorSupportSuperseded.
bool | zyppintern::schemeIsLocalDir (const Url &url_r)
Pathname | zyppintern::cachedLocation (const OnMediaLocation &loc_r, const RepoInfo &repo_r)
| zypp::IMPL_PTR_TYPE (Package)